Package ru.bitel.bgbilling.modules.megafon.common.bean

# Enum Class MegafonPaymentStatus

java.lang.Object
java.lang.Enum<MegafonPaymentStatus>
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonPaymentStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<MegafonPaymentStatus>`, `Constable`

public enum MegafonPaymentStatus extends Enum<MegafonPaymentStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CANCEL`
  `COMPLETE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `static MegafonPaymentStatus`
  `valueOf(int ordinal)`
  Returns the enum constant of this class with the specified name.
  `static MegafonPaymentStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MegafonPaymentStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPLETE

    public static final MegafonPaymentStatus COMPLETE

  - ### CANCEL

    public static final MegafonPaymentStatus CANCEL

- ## Method Details

  - ### values

    public static MegafonPaymentStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MegafonPaymentStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getComment

    public String getComment()

  - ### valueOf

    public static MegafonPaymentStatus valueOf(int ordinal)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `ordinal` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null